
%define upstream_name    Pod-POM-Web
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 10

Summary:    Fulltext search for Pod::POM::Web
License:    GPL+ or Artistic
Group:      Development/Perl
URL:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::GvaScript)
BuildRequires: perl(Config)
BuildRequires: perl(Encode::Guess)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Pod::POM::View::HTML)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
the Pod::POM::Web manpage is a Web application for browsing the
documentation of Perl components installed on your local machine. Since
pages are dynamically generated, they are always in sync with code actually
installed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


#

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

